Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235076 - Autotools not running configuration from configuration src directory specified
Summary: Autotools not running configuration from configuration src directory specified
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 18:12 UTC by Jeff Johnston
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 22:59:18 UTC


Attachments (Terms of Use)

Description Jeff Johnston 2007-04-03 18:12:06 UTC
When a project has a directory structure such that configuration is not to be
run out of the top-level directory, the Autotools configuration is not honoring
the src directory specified in the configuration options.  This applies to
configure, autogen.sh, and Makefile.cvs configuration.

Comment 1 Jeff Johnston 2007-04-04 22:59:18 UTC
Bug has been fixed.  Makefile generation was finding the files using the src
directory but was not using it when it came time to run.  A new test has been
added to the testsuite.


Note You need to log in before you can comment on or make changes to this bug.